/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.seatunnel.datasource.plugin.http;

import lombok.extern.slf4j.Slf4j;

import java.util.Map;

@Slf4j
public class HttpAConfiguration {

    public static HttpConfiguration getConfiguration(Map<String, String> ftpOption) {

        if (!ftpOption.containsKey(HttpOptionRule.URL.key())) {
            throw new IllegalArgumentException("url  is null, please check your config");
        }

        HttpConfiguration httpAConfiguration = new HttpConfiguration();
        httpAConfiguration.setUrl(ftpOption.get(HttpOptionRule.URL.key()));
        httpAConfiguration.setMethod(ftpOption.get(HttpOptionRule.METHOD.key()));
        httpAConfiguration.setToken(ftpOption.get(HttpOptionRule.TOKEN.key()));
        httpAConfiguration.setRequest_params(ftpOption.get(HttpOptionRule.REQUEST_PARAMS.key()));

        return httpAConfiguration;
    }
}
